# nvme-zns-open-zone(1) Manual Page

## NAME

nvme-zns-open-zone - Opens one or all zones

## SYNOPSIS

    nvme zns open-zone <device> [--namespace-id=<NUM> | -n <NUM>]
                            [--start-lba=<LBA> | -s <LBA>] [--zrwaa | -r]
                            [--select-all | -a] [--timeout=<timeout> | -t <timeout>]

## DESCRIPTION

For the NVMe device given, issues the Zone Management Send command with the "Open Zone" action. This will transition the zone to the opened state.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1).

## OPTIONS

-n <NUM>
--namespace-id=<NUM>

  Use the provided namespace id for the command. If not provided, the namespace id of the block device will be used. If the command is issued to a non-block device, the parameter is required.

-s <lba>
--start-lba=<lba>

  The starting LBA of the zone to open.

-r
--zrwaa

  Allocate Zone Random Write Area to zone

-a
--select-all

  Select all zones for this action

-t <timeout>
--timeout=<timeout>

  Override default timeout value. In milliseconds.

## EXAMPLES

- Open the first zone on namespace 1:

      # nvme zns open-zone /dev/nvme0 -n 1 -s 0

## NVME

Part of nvme-cli